Subject: Re: bug#20271: 24.4; Can't change cursor type in w32

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Apr 2015 17:08:21 +0300

> From: [email-masked] (João Távora)
> Date: Tue, 07 Apr 2015 12:35:08 +0100
> 
> Here's my -Q recipe
> 
>     Create a shortcut to "runemacs.exe -Q" (or "emacs.exe -Q")
>     Run it
>     In the new vanilla emacs, cursor is a thin vertical bar.
>     Try to (setq cursor-type 'box) or any other option has no effect.
>     Changing the default font has no effect, either

I cannot reproduce this.  Does it happen only when you run Emacs via a
desktop shortcut, but not if you run it from the cmd prompt?

> This is possibly not an Emacs bug, since other people using the same
> Emacs version and operating system can set the cursor type. I also
> believe I had other cursor types in the past. How can I debug this?

Do you have cursorType customized in the Registry, per chance?

I can tell you how to track the initial cursor drawing using GDB, but
if the problem only happens when Emacs is invoked from a desktop
shortcut, this could be a bit tricky.